nih-dbus-tool(1)

NAME
nih-dbus-tool - D-Bus binding code generator

SYNOPSIS
nih-dbus-tool [OPTIONS]... [-o FILE] [XMLFILE]
nih-dbus-tool [OPTIONS]... -o FILE --system|--session --dest=NAME OBJECT-PATH

DESCRIPTION

OVERVIEW
The D-Bus introspection format is an XML document describing the interfaces implemented by a particular object, including the methods and signals of that interface along with their arguments and the properties of that interface. A single document describes a single object, represented by the root <node> tag. Interfaces implemented by that object are specified by <interface> tags within it. Methods, signals and properties defined by the interface are described by <method>, <signal> and <property> tags within the interface. Arguments to methods and signals are defined by <arg> tags within them. Names and other values are specified as attributes to the tag. Additional properties for external tools or software may be given in <annotation> tags. These may appear within interfaces, methods, signals, properties and arguments. nih-dbus-tool makes use of many of these. Note that argument annotations are an nih-dbus-tool extension to the format. nih-dbus-tool's parser is reasonably liberal, to allow for future expansion of the D-Bus introspection format. Any unknown tag, attribute or annotation, or any tag not in an expected location, will be ignored with a warning. However a missing root node tag, missing attributes, illegal or invalid format values for defined attributes or non well-formed XML will result in an error. Character data and comments are not considered part of description, and are not parsed.

OPTIONS

AUTHOR
Written by Scott James Remnant <scott@netsplit.com>

BUGS
Report bugs at <https://launchpad.net/libnih/+bugs>

COPYRIGHT
Copyright © 2009 Scott James Remnant <scott@netsplit.com>.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.